Retrieve refund
GET/refunds/:refund_id
Retrieves one refund by ID
Request
Path Parameters
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Refund's ID
Responses
- 200
- 401
- 403
- 409
- 422
- 500
Refund retrieved
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [success]
data
object
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
UUID v4
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
UUID v4
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
UUID v4
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
UUID v4
Possible values: [duplicate, fraudulent, requested_by_customer, expired_uncaptured_charge, chargeback_alert_automatic_resolution]
Reason code
Possible values: <= 255 characters
Description for this refund
Possible values: [pending, succeeded, failed]
Unix timestamp representing the date
initial_amount
object
Money representation
Possible values: <= 9999999999
Amount expressed in cents. 1 USD should be submitted as 100 cents
ISO 4217 representation of the currency
ending_amount
object
Money representation
Possible values: <= 9999999999
Amount expressed in cents. 1 USD should be submitted as 100 cents
ISO 4217 representation of the currency
refund_amount
object
Money representation
Possible values: <= 9999999999
Amount expressed in cents. 1 USD should be submitted as 100 cents
ISO 4217 representation of the currency
Possible values: [200]
Possible values: [Successful request]
{
"status": "success",
"data": {
"id": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"charge_id": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"merchant_id": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"customer_id": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"reason": "duplicate",
"description": "Broken goods, returned by customer",
"status": "pending",
"created_on": 1656656767,
"initial_amount": {
"value": 99,
"currency": "USD"
},
"ending_amount": {
"value": 99,
"currency": "USD"
},
"refund_amount": {
"value": 99,
"currency": "USD"
}
},
"code": 200,
"message": "Successful request"
}
Access token is missing or invalid
Access denied
Request failed due to a conflict in the provided entity
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [fail]
Possible values: [409]
Failure reason
{
"status": "fail",
"code": 409,
"message": "Entity with Id already exists"
}
Query failed due to query parameters validation failure
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [error]
Possible values: [422]
{
"status": "error",
"data": {
"dob": {
"day": "Value expected to be 'integer', 'string' given."
}
},
"code": 422,
"message": "cannot process the provided entity"
}
Server error